--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: This module implements methods for encoding and decoding SNMP packets using the ASN.1 BER (Basic Encoding Rules).
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: SYS_UP_TIME_OID
  value: ObjectId.new("1.3.6.1.2.1.1.3.0")
- !ruby/object:RI::Constant 
  comment: 
  name: SNMP_TRAP_OID_OID
  value: ObjectId.new("1.3.6.1.6.3.1.1.4.1.0")
full_name: SNMP
includes: []

instance_methods: []

name: SNMP
superclass: 
